VirtualBox

Ignore:
Timestamp:
May 4, 2010 9:44:57 AM (15 years ago)
Author:
vboxsync
svn:sync-xref-src-repo-rev:
61029
Message:

Linux Additions: rename the vboxvfs module to vboxsf to make it load by demand of the Linux kernel

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/VBox/Additions/linux/installer/vboxadd.sh

    r28800 r28998  
    3232PACKAGE=VBoxGuestAdditions
    3333BUILDVBOXGUEST=`/bin/ls /usr/src/vboxguest*/build_in_tmp 2>/dev/null|cut -d' ' -f1`
    34 BUILDVBOXVFS=`/bin/ls /usr/src/vboxvfs*/build_in_tmp 2>/dev/null|cut -d' ' -f1`
     34BUILDVBOXSF=`/bin/ls /usr/src/vboxsf*/build_in_tmp 2>/dev/null|cut -d' ' -f1`
    3535BUILDVBOXVIDEO=`/bin/ls /usr/src/vboxvideo*/build_in_tmp 2>/dev/null|cut -d' ' -f1`
    3636LOG="/var/log/vboxadd-install.log"
     
    189189}
    190190
    191 running_vboxvfs()
    192 {
    193     lsmod | grep -q "vboxvfs[^_-]"
     191running_vboxsf()
     192{
     193    lsmod | grep -q "vboxsf[^_-]"
    194194}
    195195
     
    256256    fi
    257257
    258     if [ -n "$BUILDVBOXVFS" ]; then
    259         running_vboxvfs || {
    260             $MODPROBE vboxvfs > /dev/null 2>&1 || {
     258    if [ -n "$BUILDVBOXSF" ]; then
     259        running_vboxsf || {
     260            $MODPROBE vboxsf > /dev/null 2>&1 || {
    261261                if dmesg | grep "vboxConnect failed" > /dev/null 2>&1; then
    262262                    fail_msg
     
    265265                    exit 1
    266266                fi
    267                 fail "modprobe vboxvfs failed"
     267                fail "modprobe vboxsf failed"
    268268            }
    269269        }
     
    284284        fail "Cannot unmount vboxsf folders"
    285285    fi
    286     if [ -n "$BUILDVBOXVFS" ]; then
    287         if running_vboxvfs; then
    288             rmmod vboxvfs 2>/dev/null || fail "Cannot unload module vboxvfs"
     286    if [ -n "$BUILDVBOXSF" ]; then
     287        if running_vboxsf; then
     288            rmmod vboxsf 2>/dev/null || fail "Cannot unload module vboxsf"
    289289        fi
    290290    fi
     
    313313        succ_msg
    314314    fi
    315     if find /lib/modules/`uname -r` -name "vboxvfs\.*" 2>/dev/null|grep -q vboxvfs; then
    316         begin "Removing old VirtualBox vboxvfs kernel module"
    317         find /lib/modules/`uname -r` -name "vboxvfs\.*" 2>/dev/null|xargs rm -f 2>/dev/null
     315    if find /lib/modules/`uname -r` -name "vboxsf\.*" 2>/dev/null|grep -q vboxsf; then
     316        begin "Removing old VirtualBox vboxsf kernel module"
     317        find /lib/modules/`uname -r` -name "vboxsf\.*" 2>/dev/null|xargs rm -f 2>/dev/null
    318318        succ_msg
    319319    fi
     
    341341    fi
    342342    succ_msg
    343     if [ -n "$BUILDVBOXVFS" ]; then
     343    if [ -n "$BUILDVBOXSF" ]; then
    344344        begin "Building the shared folder support module"
    345         if ! $BUILDVBOXVFS \
     345        if ! $BUILDVBOXSF \
    346346            --use-module-symvers /tmp/vboxguest-Module.symvers \
    347347            --no-print-directory install >> $LOG 2>&1; then
     
    416416    if [ -n "$DKMS" ]; then
    417417      echo "Attempt to remove old DKMS modules..."
    418       for mod in vboxadd vboxguest vboxvfs vboxvideo; do
     418      for mod in vboxadd vboxguest vboxvfs vboxsf vboxvideo; do
    419419        $DKMS status -m $mod | while read line; do
    420420          if echo "$line" | grep -q added > /dev/null ||
     
    434434    find /lib/modules -name vboxguest\* | xargs rm 2>/dev/null
    435435    find /lib/modules -name vboxvfs\* | xargs rm 2>/dev/null
     436    find /lib/modules -name vboxsf\* | xargs rm 2>/dev/null
    436437    find /lib/modules -name vboxvideo\* | xargs rm 2>/dev/null
    437438    depmod
    438439
    439440    # Remove old module sources
    440     rm -rf /usr/src/vboxadd-* /usr/src/vboxguest-* /usr/src/vboxvfs-* /usr/src/vboxvideo-*
     441    rm -rf /usr/src/vboxadd-* /usr/src/vboxguest-* /usr/src/vboxvfs-* /usr/src/vboxsf-* /usr/src/vboxvideo-*
    441442
    442443    # Remove other files
Note: See TracChangeset for help on using the changeset viewer.

© 2025 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette